	package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.Gtgsyw;
import com.ruoyi.system.domain.Trade;
import com.ruoyi.system.domain.auditTh;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

    /**
 * 待审核Mapper接口
 *
 * @author xu
 * @date 2019-08-22
 */
public interface GtgsywMapper
{
    /**
     * 查询待审核
     *
     * @param id 待审核ID
     * @return 待审核
     */
    Gtgsyw selectGtgsywById(Long id);

    /**
     * 查询身份证照片
     */
    List<String> selectidentityPhoto(String id);
    /**
     * 查询身份证照片
     */
    List<Map> selectidentityPhotos(String id);

    /**
     * 查询身份证照片
     */
    List<Map> selectPhotosByBsid(String bsid);

    /**
     * 修改状态为审核中
     * @param id
     * @return
     */
    int updateFlg(@Param("id") String id, @Param("userName") String userName,@Param("userid") String userid);

    /**
     * 修改状态为退回
     * @param id
     * @return
     */
    int updateByIdFlg(@Param("gt") Gtgsyw gt);

    /**
     * id查询用户名
     */

    String selectUserName(Long id);

    /**
     * 查询待审核列表
     *
     * @param gtgsyw 待审核
     * @return 待审核集合
     */
    List<Gtgsyw> selectGtgsywList(Gtgsyw gtgsyw);

    List<Gtgsyw> selectGtgsywByFlg(Gtgsyw gtgsyw);

    List<Gtgsyw> selectGtgsywListAll(@Param("gtgsyw") Gtgsyw gtgsyw);

    List<auditTh> selectauditTh(@Param("gtgsyw") Gtgsyw gtgsyw, @Param("codename") String codename);


    /**
     * 查询申请来源字典
     */
    List<String>selectDiction();
    /**
     * 新增待审核
     *
     * @param gtgsyw 待审核
     * @return 结果
     */
    int insertGtgsyw(Gtgsyw gtgsyw);

    /**
     * 修改待审核
     *
     * @param gtgsyw 待审核
     * @return 结果
     */
    int updateGtgsyw(Gtgsyw gtgsyw);

    /**
     * 删除待审核
     *
     * @param id 待审核ID
     * @return 结果
     */
    int deleteGtgsywById(Long id);

    /**
     * 批量删除待审核
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteGtgsywByIds(String[] ids);

    /**
     * 审核结果处理
     * @param id
     * @param flg
     * @return
     */
    int updateById(Long id, Long flg);



    /**
     * 添加退回
     * @return
     */
    int insertth( @Param("gt") Gtgsyw gt);

    /**
     * 修改审核成功
     */
    int updatepass(@Param("gt") Gtgsyw gt);
    /**
     * id 查询企业
     */
    Gtgsyw selectById(Long id);

    /**
     * 行业树形结构
     */
    List<Trade> selectTradeTree();

    /**
     *
     */
    List<Trade> selectParentId(String id);

    int update(String id);

    /**
     * 添加便捷语
     */
    int addeasy(String add);
    /**
     * 便捷语查询
     */
    List<String> selecteasy();




    /**
     * 根据身份证号码查信息
     * @param card
     * @return
     */
    Gtgsyw selectByCB(@Param("JingYingCard") String card, @Param("BSID") String bsid);
    /**
     * 根据身份证号码查信息
     * @param card
     * @return
     */
    List<Gtgsyw> selectByCard(@Param("JingYingCard") String card);

    /**
     * 根据唯一编码查数据
     * @param bsid
     * @return
     */
    Gtgsyw selectGtgsywByBsid(@Param("bsid") String bsid);


    /**
     * 根据id查询退回数据
     */
    Gtgsyw selGtgsywBack(@Param("tid") Long id);



	 /**
     * id查询退回信息
     */
    auditTh selectByIdTh(Long id);


    /**
     * 查询数量
     */
    Map selectByDate(@Param("start") String star, @Param("end") String end);

    /**
     * 查询数量
     */
    List<Map>  selectByNumb(String Date);
    /**
     * 查询数量
     */
    List<Map>  selectToflg();
    /**
     * 查询今日审核通过id
     */
    Integer[]  selectByflgDate();


    List<Map>  selectByMonth();

    /**
     * 查询今日审核通过id
     */
    Integer[]  selectByflgDates(@Param("startTime") String startTime,@Param("endTime")String endTime);


    /**
     * 查询zzcode
     */
    String selectMaxZzCode();


}
